# StakingRelayVerifier

#### **`verify_relay_staker_addres`**

Emits the event for verifying relayer address.

```
function verify_relay_staker_address(int8 workchain_id, uint256 address_body) external
```

**Parameters:**

| Name          | Type    | Description               |
| ------------- | ------- | ------------------------- |
| workchain\_id | int8    | Id of the workchain       |
| address\_body | uint256 | Address body of the relay |

**Events emitted:**

* RelayAddressVerified


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octusbridge.io/integrate/octus-bridge-contracts/ethereum/bridge-section/stakingrelayverifier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
